TextFileRegionAliasMap.WriterOptions (Apache Hadoop HDFS 3.5.0 API)
Description: declaration: package: org.apache.hadoop.hdfs.server.common.blockaliasmap.impl, class: TextFileRegionAliasMap, class: WriterOptions

Package org.apache.hadoop.hdfs.server.common.blockaliasmap.impl

# Class TextFileRegionAliasMap.WriterOptions

java.lang.Object
org.apache.hadoop.hdfs.server.common.blockaliasmap.impl.TextFileRegionAliasMap.WriterOptions

All Implemented Interfaces:
  `org.apache.hadoop.conf.Configurable`, `BlockAliasMap.Writer.Options`, `TextFileRegionAliasMap.TextWriter.Options`

Enclosing class:
  TextFileRegionAliasMap

public static class TextFileRegionAliasMap.WriterOptions extends Object implements TextFileRegionAliasMap.TextWriter.Options, org.apache.hadoop.conf.Configurable
Class specifying writer options for the `TextFileRegionAliasMap`.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `WriterOptions()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `TextFileRegionAliasMap.WriterOptions`
  `codec(String codec)`
  `TextFileRegionAliasMap.WriterOptions`
  `delimiter(String delim)`
  `TextFileRegionAliasMap.WriterOptions`
  `dirName(org.apache.hadoop.fs.Path dir)`
  `String`
  `getCodec()`
  `org.apache.hadoop.conf.Configuration`
  `getConf()`
  `org.apache.hadoop.fs.Path`
  `getDir()`
  `void`
  `setConf(org.apache.hadoop.conf.Configuration conf)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### WriterOptions

    public WriterOptions()

- ## Method Details

  - ### setConf

    public void setConf(org.apache.hadoop.conf.Configuration conf)
    Specified by:
      `setConf` in interface `org.apache.hadoop.conf.Configurable`

  - ### getConf

    public org.apache.hadoop.conf.Configuration getConf()
    Specified by:
      `getConf` in interface `org.apache.hadoop.conf.Configurable`

  - ### dirName

    public TextFileRegionAliasMap.WriterOptions dirName(org.apache.hadoop.fs.Path dir)
    Specified by:
      `dirName` in interface `TextFileRegionAliasMap.TextWriter.Options`

  - ### getCodec

    public String getCodec()

  - ### getDir

    public org.apache.hadoop.fs.Path getDir()

  - ### codec

    public TextFileRegionAliasMap.WriterOptions codec(String codec)
    Specified by:
      `codec` in interface `TextFileRegionAliasMap.TextWriter.Options`

  - ### delimiter

    public TextFileRegionAliasMap.WriterOptions delimiter(String delim)
    Specified by:
      `delimiter` in interface `TextFileRegionAliasMap.TextWriter.Options`